import {createRouter, createWebHashHistory} from 'vue-router'

const routes = [
    {
        path: '/',
        name: 'home',
        component: () => import('@/view/Home.vue')
    },
    {
        path: '/chat',
        name: 'chat',
        meta: {
            title: '共享'
        },
        component: () => import('@/view/Chat.vue')
    }
]

const router = createRouter({
    // 4. 内部提供了 history 模式的实现。为了简单起见，我们在这里使用 hash 模式。
    history: createWebHashHistory(),
    routes, // `routes: routes` 的缩写
})

export default router
